# 目录

- [目录](#目录)
  - [并发](#并发)
  - [线程池](#线程池)
    - [多线程](#多线程)
      - [并行处理（并行编程）](#并行处理并行编程)
  - [异步编程](#异步编程)
  - [响应式编程（reactive programming）](#响应式编程reactive-programming)
  - [TPL 数据流](#tpl-数据流)
  - [资料](#资料)

## 并发

> 同时做多件事情

## 线程池

### 多线程

> 并发的一种形式（但不是唯一的），它采用多个线程来执行程序。
> 线程池要求多线程继续存在。线程池存放任务的队列，这个队列能够根据需要自行调整。

#### 并行处理（并行编程）

> 并行处理是多线程的一种。
> 把正在执行的大量的任务分割成小块，分配给多个同时运行的线程。

## 异步编程

> 并发的一种形式，它采用 `future` 模式或回调（`callback`）机制，以避免产生不必要的线程。异步编程的核心理念是异步操作：启动了的操作将会在一段时间后完成。这个操作正在执行时，不会阻塞原来的线程。启动了这个操作的线程，可以继续执行其他任务。当操作完成时，会通知它的 `future`，或者调用回调函数，以便让程序知道操作已经结束。

- .NET API
  - 旧版
    - 回调或事件（event）
  - 新版
    - `Task` 和 `Task<TResult>`
-  `async` 和 `await` 

## 响应式编程（reactive programming）

> 并发编程的一种形式。但响应式编程不一定是并发的(?)。
> 基于异步事件（`asynchronous event`）的，而不是异步操作（`asynchronous operation`）。异步事件可以没有一个实际的“开始”，可以在任何时间发生，并且可以发生多次，例如用户输入。

## TPL 数据流


## 资料

- [C#并发编程经典实例](https://stephencleary.com/book/)