## 安装
1. 安装 `Erlang` 运行时环境，[官网下载](http://www.erlang.org/downloads)
2. 安装 `RabbitMQ Server`，[官网下载](http://www.rabbitmq.com/download.html)
    - 安装后，开始菜单如下图所示
        - ![RabbitMQ Server开始菜单](/resource/image/java/spring-boot2/2018-08-05_094034.png)
    - 使 `RabbitMQ` 以 `Windows Service` 的方式在后台运行
        - 打开菜单中的 `RabbitMQ Command Prompt (sbin dir)`
        - 依次执行下列命令
            - `rabbitmq-service install`
            - `rabbitmq-service enable`
            - `rabbitmq-service start`

## 使用
- 查看和控制服务端状态
    - 打开菜单中的 `RabbitMQ Command Prompt (sbin dir)`
    - 运行命令 `rabbitmqctl status`
- 创建用户
    - `rabbitmqctl.bat add_user {username} {password}`
- 赋予角色
    - `rabbitmqctl.bat set_user_tags {username} administrator`
- 修改密码
    - `rabbitmqctl change_password {userName} {newPassword}`
- 删除用户
    - `rabbitmqctl.bat delete_user {username}`
- 授权
    - `rabbitmqctl set_permissions -p "/" {username} ".*" ".*" ".*"`

## 激活 RabbitMQ's Management Plugin
- 打开菜单中的 `RabbitMQ Command Prompt (sbin dir)`
- 运行命令 `rabbitmq-plugins.bat enable rabbitmq_management`
- 运行命令 `net stop RabbitMQ && net start RabbitMQ`
- 查看 Web，默认地址是 `http://localhost:15672/`