### 可变变量
可以引用名字存放在另外一个变量里的变量的值，例如：
``` php
$foo='bar';
$$foo='baz';
echo $bar; // baz
```
### 变量引用
即按引用传值。
``` php
$b = & $a;  // $a、$b指向相同事物。
```
>注意：销毁一个变量时，不会影响另一个变量的值。
``` php
$a = 'snow';
$b = & $a;
unset($a);
echo $b;    // snow
```
>函数也可通过引用返回值（通过这种方式，避免创建大的字符串或者数组）。
### 变量作用域
- 局部作用域（只有在函数内声明，循环、条件分支等不能）
- 全局作用域（在函数外声明，见示例`访问全局作用域`）
- 静态变量（仅在局部函数域中存在，但当程序执行离开此作用域时，其值不丢失，见示例`静态变量`）
- 函数参数

### 示例
#### 访问全局作用域
``` php
function update_counter(){
    global $counter;
    $counter++;
}
function update_counter_a(){
     $GLOBALS["counter"]++;
}
$counter = 10;
update_counter();   // $counter = 11
update_counter_a();   // $counter = 12
```
#### 静态变量
``` php
function update_counter(){
    static $counter = 10;
    $counter++;
   echo $counter;
}
update_counter();   // $counter = 11
update_counter();   // $counter = 12
```