### 常量

#### 两种类型
- 系统常量
    - `__FILE__` :文件名。它可以帮助我们获取当前文件在服务器的物理位置。不区分大小写。
    - `__LINE__` :文件行数。它可以告诉我们，当前代码在第几行。不区分大小写。
    - `PHP_VERSION`:当前PHP解析器的版本号。我们可以提前知道我们的PHP代码是否可被该PHP解析器解析。
    - `PHP_OS`：操作系统名称。它可以告诉我们服务器所用的操作系统名称，我们可以根据该操作系统优化我们的代码。
- 用户自定义常量
    - 只有`boolean`、`integer`、`float`、`string`、`NULL`可以作为常量（PHP5）
    - `array`也可以作为常量（PHP7）

#### 使用
- 常量名可以包含汉字
- 定义可用`define`函数 `define("PI1",3.14);`
- 定义可用`const`关键字 `const CONSTANT = 'Hello World';`
- 取值直接用常量名
- 取值使用`constant`函数。示例见`constant函数`
> `mixed constant ( string $name )`
通过 name 返回常量的值。 
当你不知道常量名，却需要获取常量的值时，`constant`就很有用了。也就是常量名储存在一个变量里，或者由函数返回常量名。
- `defined`：检查某个名称的常量是否存在
>`bool defined ( string $name )`
如果名称 name 的常量已定义，返回 `TRUE`；未定义则返回 `FALSE`。 

#### 示例
##### `constant`函数
``` php
$p="";
//定义圆周率的两种取值
define("PI1",3.14);
define("PI2",3.142);
//定义值的精度
$height = "低";
//根据精度返回常量名，将常量变成了一个可变的常量
if($height == "中"){
	$p = "PI1";
} else if($height == "低"){
	$p = "PI2";
}
$r=1;
$area = constant($p)*$r*$r; // float(3.142)
```