### 比较两个浮点数
浮点数的值仅仅是数的近似值。这意味着要避免直接使用`==`或者`===`等运算符。一般的做法是移动若干次小数点位置后再比较（即扩大10的整数次倍后再比较。这个方法来自PHP之父 `Rasmus Lerdorf`[《PHP程序设计》](https://book.douban.com/subject/2071057/)P27）。
``` php
if(int($a * 1000) == int($b * 1000)){
    //...
}
```
如果确实需要更高的精度，应该使用`任意精度数学函数`中的[bccomp函数](http://php.net/manual/zh/function.bccomp.php)，示例见本页`bccomp`。

### 常用函数
- `is_numeric`  检测变量是否为数字或数字字符串，见`3. 整型`。

### 示例
#### bccomp  比较两个任意精度的数字
>int bccomp ( string $left_operand , string $right_operand [, int $scale = int ] )
``` php
echo bccomp('1', '2') . "\n";   // -1
echo bccomp('1.00001', '1', 3); // 0
echo bccomp('1.00001', '1', 5); // 1
```