## 组件的构成
- `name.component.ts`  组件的类代码，这是用 `TypeScript` 写的。
- `name.component.html`    组件的模板，这是用 `HTML` 写的。
- `name.component.css` 组件的 **私有** `CSS` 样式。

## 符号
- [Component](#Component)

### Component
- 装饰器函数，用于为组件指定 `Angular` 所需的元数据
- 定义于 `@angular/core`
    ``` js
    import { Component } from '@angular/core';
    ```
- 装饰在组件类上 `@Component`
- 元数据属性
    - `selector` 字符串，组件的选择器（CSS 元素选择器，用来在父组件的模板中匹配 HTML 元素的名称，以识别出该组件）
    - `templateUrl` 字符串，组件模板文件的位置
    - `styleUrls` 字符串数组，组件私有 CSS 样式表文件的位置
- `export` 的作用是，以便在其它地方（比如 `AppModule` ）导入这个组件类
- 完整例子
    ``` js
    import { Component } from '@angular/core';

    @Component({
        selector: 'app-heroes',
        templateUrl: './heroes.component.html',
        styleUrls: ['./heroes.component.css']
    })
    export class HeroesComponent {
        constructor() { }
    }
    ```
