# 目录
- [目录](#目录)
  - [ERROR 1356 (HY000)](#error-1356-hy000)
  - [ERROR 1067](#error-1067)
  - [ERROR 2006](#error-2006)

## ERROR 1356 (HY000)
> View 'mysql.user' references invalid table(s) or column(s) or function(s) or definer/invoker of view lack rights to use them

- [解决方案](https://stackoverflow.com/questions/64841185/error-1356-hy000-view-mysql-user-references-invalid-tables-or-columns-o)

MariaDB-10.4+ the mysql.user is a view rather than a table.
Use SET `PASSWORD` or `ALTER USER` to manage user authentication.

``` sql
SET PASSWORD FOR 'wordpress'@localhost = PASSWORD("LjCfnqDmE90KuPhQ");
```

## ERROR 1067

> Invalid default value for timestamp column

``` sql
-- 去掉 sql_mode 中的 NO_ZERO_IN_DATE,NO_ZERO_DATE
show variables like 'sql_mode';
set session sql_mode='上面返回的值';
```

## ERROR 2006

> MySQL server has gone away

- server接受的数据包的大小超出 max_allowed_packet 
  - show variables like 'max_allowed_packet'
  - max_allowed_packet = 100M