## centos7
### 安装所需的软件包
``` bash
yum install -y yum-utils device-mapper-persistent-data lvm2
```
### 使用稳定版的仓库
``` bash
yum-config-manager --add-repo https://download.docker.com/linux/centos/docker-ce.repo
```
### 安装Docker ce
``` bash
yum install docker-ce
```
### 镜像加速器
- 对于使用 `systemd` (Ubuntu 16.04+、Debian 8+、CentOS 7)的系统，请在 /etc/docker/daemon.json 中写入如下内容（如果文件不存在请新建该文件）
``` json
{
  "registry-mirrors": [
  	"https://hub-mirror.c.163.com",
    "https://reg-mirror.qiniu.com"
  ]
}
```
- 重新启动服务
``` bash
$ sudo systemctl daemon-reload
$ sudo systemctl restart docker
```
- 检查加速器是否生效
``` bash
docker info
```
- 如果从结果中看到了如下内容，说明配置成功
``` bash
Registry Mirrors:
 https://registry.docker-cn.com/
```