## centos7
### 启动Docker
``` bash
systemctl start docker
```
### 通过运行hello-world 映像验证是否正确安装
``` bash
docker run hello-world
```

### 安装mysql
``` bash
docker pull mysql:5.7
docker run -itd --name mysql -e MYSQL_ROOT_PASSWORD=abcd@1234 -p 13306:3306 --network inner --network-alias mysql mysql:5.7

GRANT ALL PRIVILEGES ON *.* TO 'root'@'%' IDENTIFIED BY 'abcd@1234' WITH GRANT OPTION;
flush privileges;
```

## 安装Redis

``` bash
docker pull redis:latest
docker run -itd --name huginn -p 6379:6379 redis:latest
```

## 安装postwoman

``` bash
docker pull liyasthomas/postwoman
docker run -d --name postwoman -p 13001:3000 liyasthomas/postwoman
```

## 安装huginn

``` bash
docker pull huginn/huginn
docker run -itd --name huginn -p 13000:3000 -e HUGINN_DATABASE_NAME=huginn -e HUGINN_DATABASE_USERNAME=root -e HUGINN_DATABASE_PASSWORD=abcd@1234 --network inner --network-alias huginn huginn/huginn
```

