## 数组
### `ArrayList<T>`
- 当数组太小，或者不够使用时
    1. 自动创建另一个内部数组
    2. 将元素移动到该数组
- 没有初始化语法。以下是一种替代方法：
    ``` java
    ArrayList<String> animals =  new ArrayList<String>(Arrays.asList("dog","bird","monkey"));
    ```
- 不能使用索引器，使用 `get(int index)`
- 类型参数 `T` 不能使用基本类型，只能使用包装类

## 常用方法
- `Arrays.sort` 可对任何 `Comparable` 对象的数组排序。但没有在 <b>编译时</b> 检查参数是否是 `Comparable` 对象的数组。
- `Arrays.removeIf` 
    ``` java
    animals.removeIf(x -> x.length() < 3);
    ```
- `Arrays.toString` 原样输出数组字符串形式
    ``` java
    int[] nums = {1, 2, 3, 5, 8, 13};
    System.out.println(nums);   //[I@39f31e
    System.out.println(Arrays.toString(nums));  //[1, 2, 3, 5, 8, 13]
    ```