# 目录
- [目录](#目录)
  - [只允许get，post支持，禁用不安全的http方法](#只允许getpost支持禁用不安全的http方法)
  - [在响应头中`$http_` 输出 header 中的值](#在响应头中http_-输出-header-中的值)
  - [不显示版本号](#不显示版本号)
  - [转发](#转发)


## 只允许get，post支持，禁用不安全的http方法
``` nginx
if ($request_method !~ ^(GET|POST)$)
{ 
	return 403; 
}
```

## 在响应头中`$http_` 输出 header 中的值
``` nginx
add_header X-debug-ipop $http_origin;
```

## 不显示版本号
``` nginx
http {
    server_tokens off;
}
```

## 转发
``` nginx
location  /api {
  proxy_pass  http://127.0.0.1:8001/;
  proxy_set_header  Content-Type application/json;
}
```