> 用来实现使用数据绑定的一种方式

### 文本插值
> 使用`Mustache`语法（`{{keyName}}`）直接输出与键名匹配的键值，实现文本插值对数据的基本绑定。在解析过程中`Mustache`标签会被相应数据对象的属性的值替换，每当这个属性变化时它也会更新。

``` html
<span>Message: {{ msg }}</span>
```

- 在页面加载时会闪烁(Vue 来不及渲染，这时页面就会显示出 Vue 源代码)
  ``` css
  [v-cloak] {
    display: none;
  }
  ```
  ``` html
  <div v-cloak>
    {{ message }}
  </div>
  ```

### 纯HTML
- v-html 指令

### 过滤器
> 用作一些常见的文本格式化。对于复杂数据的转换，应该使用计算属性。
``` html
<!-- in mustaches -->
{{ message | capitalize }}
<!-- in v-bind -->
<div v-bind:id="rawId | formatId"></div>
```
``` js
new Vue({
  // ...
  filters: {
    capitalize: function (value) {
      if (!value) return ''
      value = value.toString()
      return value.charAt(0).toUpperCase() + value.slice(1)
    }
  }
})
```