### v-bind
#### 参数
- HTML 特性名称
``` HTML
<!--在这里 href 是参数，告知 v-bind 指令将该元素的 href 特性与表达式 url 的值绑定。-->
<a v-bind:href="url"></a>
```

#### 缩写
``` HTML
<!-- 缩写 -->
<img :src="imageSrc">
```

### v-for

### v-html
> 直接输出 HTML ，会忽略解析属性值中的数据绑定。
``` html
<div v-html="rawHtml"></div> 
```

### v-if
> 如果 v-if 指令绑定的表达式的值为真，则显示此 DOM 结构。
``` HTML
<!-- Handlebars 模板 -->
{{#if ok}}
  <h1>Yes</h1>
{{/if}}

<!-- 使用 v-if 指令实现同样的功能 -->
<h1 v-if="ok">Yes</h1>
```

### v-model
> 实现表单输入和应用状态之间的双向绑定。

### v-on
> 绑定一个事件监听器，通过它调用 Vue 实例中定义的方法。
#### 参数
``` html
<!-- 监听 click 事件 -->
<a v-on:click="doSomething">
```
#### 修饰符
``` html
<!-- .prevent 修饰符告诉 v-on 指令对于触发的事件调用 event.preventDefault() -->
<form v-on:submit.prevent="onSubmit"></form>
```
#### 缩写
``` HTML
<!-- 完整语法 -->
<a v-on:click="doSomething"></a>
<!-- 缩写 -->
<a @click="doSomething"></a>
```

### v-once
> 执行一次性地插值，当数据改变时，插值处的内容不会更新。