> 不要在实例属性或者回调函数中（如 vm.$watch('a', newVal => this.myMethod())）使用箭头函数。因为箭头函数绑定父级上下文，所以 this 不会像预想的一样是 Vue 实例，而且 this.myMethod 是未被定义的。

### 属性
1. Vue 实例会代理其 data 对象里所有的属性（Vue 实例的同名属性指向 data 对象的属性），但有例外：
    - 属性名称前面加上 `$` 或 `_`（只能通过 Vue.$data._someProp 来访问）
2. 在实例创建之后添加新的属性到实例上，它不会触发视图更新。

### 实例属性
- $el
- $data
``` js
var data = { a: 1 }
var vm = new Vue({
  el: '#example',
  data: data
})
vm.$data === data // -> true
vm.$el === document.getElementById('example') // -> true

```

### 实例方法
#### $watch
``` js
vm.$watch('a', function (newVal, oldVal) {
  // 这个回调将在 `vm.a` 改变后调用
})
```