# 目录
- [目录](#目录)
  - [电网企业](#电网企业)
  - [交流电力系统](#交流电力系统)
    - [`额定绝缘电压` 和 `额定工作电压`](#额定绝缘电压-和-额定工作电压)
    - [`有功功率` 和 `无功功率`](#有功功率-和-无功功率)
    - [三相三线制,三相四线制,三相五线制](#三相三线制三相四线制三相五线制)
    - [电能表`正向有功`和`反向有功`](#电能表正向有功和反向有功)
    - [有功功率](#有功功率)
    - [无功功率](#无功功率)
    - [视在功率](#视在功率)
    - [功率因数](#功率因数)
    - [无功补偿](#无功补偿)
    - [三相不平衡](#三相不平衡)
    - [JP柜(配电变压器综合配电柜)](#jp柜配电变压器综合配电柜)
    - [环网柜](#环网柜)
    - [环形配电网](#环形配电网)
    - [塑壳断路器与漏保的区别？](#塑壳断路器与漏保的区别)
  - [资料](#资料)


## 电网企业
- 国家电网公司
    - 华北电网有限公司、北京市电力公司、天津市电力公司、河北省电力公司、山西省电力公司、山东电力集团公司、上海电力公司、江苏省电力公司、浙江省电力公司、安徽省电力公司、福建省电力有限公司、辽宁省电力有限公司、吉林省电力有限公司、黑龙江省电力有限公司、内蒙古东部电力有限公司、湖北省电力公司、湖南省电力公司、河南省电力公司、江西省电力公司、四川省电力公司、重庆市电力公司、陕西省电力公司、甘肃省电力公司、青海省电力公司、宁夏电力公司、新疆电力公司、西藏电力有限公司等
- 南方电网公司
    - 广东电网公司、广西电网公司、云南电网公司、贵州电网公司、海南电网公司
- 地方独立电网企业
    - 内蒙古电力集团有限责任公司、湖北丹江电力股份有限公司、广西桂东电力股份有限公司、广西壮族自治区百色电力有限责任公司、重庆三峡水利电力（集团）股份有限公司、重庆乌江电力有限公司、湖南金垣电力集团股份有限公司、山西国际电力集团有限公司、吉林省地方水电有限公司、广西水利电业集团有限公司、深圳招商供电有限公司、湖南郴电国际发展股份有限公司、云南保山电力公司、陕西地方电力公司、四川水电投资经营集团公司等
- 农村小水电?
    - 装机容量5万kW及以下的农村地区水电站。小水电靠天吃饭，故障停机也多，是最不稳定的电源，丰水期发电量过剩，输送给地方电网，是卖电；枯水期无电可发，向地方电网买电，年终结算就是与“小水电互抵”发电量，结算差额。

## 交流电力系统

### `额定绝缘电压` 和 `额定工作电压`

> 额定工作电压是一个与额定工作电流组合共同确定电器用途的电压值，它于相应的试验和使用类别有关。额定绝缘电压是一个与介电试验电压和爬电距离有关的电压值。两者关系：在任何情况下最大的额定工作电压值不应超过额定绝缘电压值。另外，如果没有明确规定额定绝缘电压，那么规定的工作电压的最高值就默认为额定绝缘电压值。

### `有功功率` 和 `无功功率`

> 交流电力系统需要电源供给两部分能量：一部分将用于做功而被消耗掉，这部分称为“有功功率”;另一部分能量是用来建立磁场，用于交换能量使用的，对于外部电路它并没有做功，称为“无功功率”，无功是相对于有功而言，不能说无功是无用之功，没有这部分功率，就不能建立磁场，电动机，变压器等设备就不能运转。其物理意义是：电路中电感元件与电容元件正常工作所需要的功率交换。

### 三相三线制,三相四线制,三相五线制

> 三相三线制，是指ABC三相供电，没有其他的。三相四线制，是指ABC三相供电，外加一条地线或者中性线(零线)。三相五线制，是指ABC三相供电，外加一条中性线(零线)和一条地线。

### 电能表`正向有功`和`反向有功`

电能表的正、反向是与电能的受（送）相关的，一般用户接受系统的电能，叫正向，用户内部发电向系统送电，叫反向；
- 1、当系统向用户输送有功和无功时，电能表工作在第Ⅰ象限，电能表显示有功是正值，无功也是正值；这最常见的一种方式，大部分用户也都是这种方式；
- 2、当系统向用户输送无功，用户向系统反送有功时，电能表工作在第Ⅱ象限，电能表显示有功是负值，无功是正值；有些自发电的用户在有功电能发的多的情况下，可能有有功电能向网上送的情况；
- 3、当用户向系统反送有功和无功时，电能表工作在第Ⅲ象限，电能表显示有功是负值，无功也是负值；有些自发电的用户在内部没有负荷时，出现和专业电厂一样，有功和无功全部向网上输送；
- 4、当系统向用户输送有功，用户向系统反送无功时，电能表工作在第Ⅳ象限，电能表显示有功是正值，无功是负值；说明该用户在从网上取有功，但内部电容器等投多了，向网上输送无功

### 有功功率

> 在交流电路中，每个瞬时的有功功率是不同的，且不断变化，一般用平均有功功率（一个周期内功率的平均值）来度量电路中消耗能量的情况。

- 对于单相交流电路，计算公式为：P=U * I * cosΦ (P为有功功率（W，瓦），U为交流电压有效值（V，伏），I为交流电流有效值（A，安），cosΦ为负载的功率因数)
  - 当负载为纯电阻时，电压与电流相位相同，Φ＝0°，cosΦ＝1，电阻消耗的功率全部是有功功率（P=UI）。
  - 当负载是纯电感或纯电容时，电压和电流的相位差Φ=90°，cosΦ=0，有功功率P=0，所以纯电感或纯电容负载是不消耗有功功率的。

### 无功功率

> 为了衡量交换能量的情况，人们用能量交换过程中功率的最大值（即瞬时功率的最大值）来表示无功功率。

- 根据公式推导，无功功率Q的计算公式为：Q＝U * I * sinΦ (Q为无功功率(var，乏)，sinΦ为交流电压与电流相位差的正弦值)
  - 当负载为纯电感或纯电容时，Φ＝90°,sinΦ＝1,所以Q＝UI，即只有无功功率而不消耗有功。
  - 当负载为纯电阻时，Φ＝0°，sinΦ＝0，所以Q＝0，即只消耗有功功率而不需要无功。

### 视在功率

> 在一般交流电路中，输送的电功率中即有有功成分，又有无功成分，因此其电压有效值与电流有效值的乘积，即不是有功功率，也不是无功功率，而是它们的合成量，这个合成量就叫视在功率。交流发电设备都是按照规定的电压和电流进行设计和使用的，所以有时用视在功率表示设备的容量是比较方便的，例如变压器的容量就是指它的视在功率。

- 计算公式一： S＝U * I (S为视在功率(VA，伏安))
- 计算公式一： S²＝Q²＋P² (视在功率S、有功功率P、无功功率Q三者之间的数量关系，恰好相当于直角三角形的三边关系，S相当于斜边，P和Q相当于两条直角边，称为功率三角形)

### 功率因数

> 它是交流电路中有功功率与视在功率的比值。即**功率因数=有功功率/视在功率**，其大小与电路的负载性质有关。对于白炽灯、电阻炉等电加热设备，功率因数为1。对于有电感的电气设备，如荧光灯、电机等，功率因数小于1。

### 无功补偿

- 基本原理：电流在电感元件中作功时，电流滞后于电压90°；而电流在电容元件中作功时，电流超前电压90°。在同一电路中，电感电流与电容电流方向相反，互差180°。如果在电磁元件电路中有比例地安装电容元件，使两者的电流相互抵消，就可以使电流的矢量与电压矢量之间的夹角缩小。
- 实现方式：把具有容性功率负荷的装置与感性功率负荷并联接在同一电路，能量在两种负荷之间相互交换。这样，感性负荷所需要的无功功率可由容性负荷输出的无功功率补偿。

### 三相不平衡

> 在低压配电中，不仅有三相用电设备，也有大量的单相和两相用电设备；不仅有线性负载，也有非线性负载。由于大量的单相负载或者非线性负载存在，所以三相不平衡是非常常见的。在低压配电中为了让三相平衡，我们尽可能把单相负载按照功率及性质均分在三相火线上。
> 一般三相不平衡产生的主要原因有三相负荷分配不平均，接地故障，某相断线，谐振，各相功率因素不一致等。 

- 三相电流不平衡度计算方法
  - （最大电流-最小电流）/最大电流
  - MAX(相电流-三相平均电流）/三相平均电流。举个简单的例子，三相电流分别为IA=9A IB=8A IC=4A，则三相平均电流为7A，相电流-三相平均电流分别为2A 1A 3A，取差值最大那个，故MAX（相电流-三相平均电流）=3A，所以三相电流不平衡度=3/7。



### JP柜(配电变压器综合配电柜)

> 为适应农村**低压**配电装置标准化、小型化、户外式的要求而设计的，它集配电、计量、保护（过载、短路、漏电、防雷）电容无功补偿于一体。

- ![JP柜](https://www.qianyadq.com/resource/images/de6f28d7c0e24e8cae1642e3dad85444_2.jpg)

### 环网柜

> 环网柜是一组**高压**开关设备装在钢板金属柜体内或做成拼装间隔式环网供电单元的电气设备，其核心部分采用**负荷开关**和**熔断器**，具有结构简单、体积小、价格低、可提高供电参数和性能以及供电安全等优点。实际上，如果柜型按照开关设备分类，有负荷开关柜、断路器柜、GIS等，并无环网柜。 环网柜是一个约定俗成的叫法，原指的是负荷开关柜用于环网式供电，现在经常被人当作负荷开关柜的代名词，而不管是否被用于环网式供电，如有些线路要合环运行（俗称手拉手），或有可能进行负荷割接 （将一条线上的负荷切换到另一条线上），实现这些功能的配电柜就叫环网柜。故环网柜是一种能实现环网供电的开关设备，常用于环网供电系统，故俗称环网柜，也称“户外箱式环网柜”、“开闭器”。

- [10kV配电环网柜，全面讲解！](https://zhuanlan.zhihu.com/p/66377056)

### 环形配电网

> 环网是指环形配电网，即供电干线形成一个闭合的环形，供电电源向这个环形干线供电，从干线上再一路一路地通过高压开关向外配电。这样的好处是，每一个配电支路既可以从它的左侧干线取电源，又可以从它右侧干线取电源。当左侧干线出了故障，它就从右侧干线继续得到供电，而当右侧干线出了故障，它就从左侧干线继续得到供电，这样一来，尽管总电源是单路供电的，但从每一个配电支路来说却得到类似于双路供电的实惠，从而提高了供电的可靠性。

- ![环形配电网](https://pic1.zhimg.com/80/v2-b404dcd49c40c727fbef4bcc15200e48_720w.webp)

### 塑壳断路器与漏保的区别？


## 资料

- [浅谈电力系统的无功功率和电压控制](http://www.chinasmartgrid.com.cn/tech/20120424/137083.shtml)
- [正向有功和反向有功的定义](https://www.dgzj.com/dgjc/56875.html)
- [有功功率、无功功率和视在功率计算及关系](https://zhuanlan.zhihu.com/p/50613714)